/halp/ - LynxChan technical assistance

General support

Mode: Reply
Name
Subject
Message

Max message length: 4096

Files

Max file size: 1.00 MB

Max files: 3

E-mail
Password

(used to delete files and postings)

Misc

Remember to follow the rules


Errors while running boot.js: Unrecognized file format boobchan dude 03/31/2019 (Sun) 07:49:16 No. 552
Trying to implement lynxchan for my site. When executing boot.js, I receive the error that gunzip does not recognize the file format. I have downloaded the bannedips file manually and have extracted it, I am just unsure where exactly where it needs to be extracted to? And/Or is there anyway to bypass downloading the bannedips.zip during startup?
The engine should take care of downloading the zip file. Besides, that file updates every hour with full refreshes every day,so it's pointless to download it manually.A
And btw, you can disable the check on the spam data so people can post if you are having issues downloading it. Usually that happens because your site is suspicious to cloudflare so you get a check instead of the actual download.
>>554
Well, unfortunately I have a not so new error occurring with my attempted install. I am recieving the following error when I run boot.js.
<pre>
/var/www/htdocs/LynxChan/src/be/node_modules/mongodb/lib/utils.js:132
throw err;
^

TypeError: Cannot read property 'length' of undefined
at bootWorkers (/var/www/htdocs/LynxChan/src/be/kernel.js:353:41)
at iterateOptionalReloads (/var/www/htdocs/LynxChan/src/be/kernel.js:398:5)
at iterateOptionalReloads (/var/www/htdocs/LynxChan/src/be/kernel.js:406:5)
at iterateOptionalReloads (/var/www/htdocs/LynxChan/src/be/kernel.js:406:5)
at iterateOptionalReloads (/var/www/htdocs/LynxChan/src/be/kernel.js:406:5)
at iterateOptionalReloads (/var/www/htdocs/LynxChan/src/be/kernel.js:406:5)
at iterateOptionalReloads (/var/www/htdocs/LynxChan/src/be/kernel.js:406:5)
at iterateOptionalReloads (/var/www/htdocs/LynxChan/src/be/kernel.js:406:5)
at iterateDefaultPages (/var/www/htdocs/LynxChan/src/be/kernel.js:445:5)
at iterateDefaultPages (/var/www/htdocs/LynxChan/src/be/kernel.js:466:5)
</pre>

Any clue on what caused this? I will check the required versions needed to run LynxChan. There is a chance the version of node.js or mongod might be causing the issue, but this is just a guess.
>>561
That one is new to me. What version of lynxchan are you trying to run?
>>561
Yeah, what node version are you using? Because that seems to be this line:
>var workerLimit = require('os').cpus().length;

Which was added way back on 0.3.
https://nodejs.org/api/os.html#os_os_cpus

So yeah, really weird, since I find hard to even get a version so old it wouldn't have that.

So I need these 3 information from you: node version, OS and lynxchan version.
>>563
Alright,

LynxChan: Current -- I cloned the repo two days ago
OS: OpenBSD 6.4 Release
Node.js: Currently -> 8.9.4 | Will be -> 8.12.0

As soon as you asked me what node.js version I am running, I just remembered I had not performed an upgrade on node.js in a while. Running that upgrade now, and seeing if that resolves the issue.

AND...rather embarrassingly, it did. So, my node.js version was out of date for my OS. Node.js 8.12 works on OpenBSD 6.4 for LynxChan.

Hooray! Now back to finishing setting up the site and migrating vichan over...
Thanks for all the help, and a kickass chan!

Caveat...

It appears that gunzip is no longer available on OpenBSD, it might be, but I am not finding it. So, this explains why I get an error downloading bannedips.zip.
>>564
My gawd, that is such a sexy chan!
>>564
I strongly reccomend using centos. and node 8 is out of date for lynxchan, i cant guarantee it will work 100%.
>>567
I will look into building a vm from centos on either OpenBSD or AlpineLinux. I am chasing the current release on OpenbSD, so node.js is fairly recent. But, mongod is the problem child as of the moment. It is crashing constantly...

Delete
Report/Ban

Captcha (required for reports and bans by board staff)


no cookies?